{ nix-doom-emacs-module, ... }:
{
  home-manager.users.tristand = { pkgs, ... }: {
    imports = [
      nix-doom-emacs-module
    ];

    nix = {
      settings.experimental-features = [ "nix-command" "flakes" ];
    };

    programs.doom-emacs = {
      enable = true;
      doomPrivateDir = ./doom.d;
    };

    programs.fish.enable = true;

    dconf.settings = {
      "org/virt-manager/virt-manager/connections" = {
        autoconnect = ["qemu:///system"];
        uris = ["qemu:///system"];
      };
    };
    home.packages = with pkgs; [
      atool
      alacritty
      bitwarden
      brave
      firefox
      jellyfin-media-player
      neofetch
      kate
      rust-motd
      signal-desktop
      statix
      tailscale
      thunderbird
    ];
    home.stateVersion = "23.05";
  };
}

